<template lang="pug">
.modal.is-active( v-if='active' )
	.modal-background( @click='emit("close")' )
	.modal-content
		b-card
			cars-table( :cars='cars' :loading='pending' @select='emit("select", $event)' )
	.modal-close( @click='emit("close")' )
</template>

<script setup>
import CarsTable from "@/components/car/Table.vue"
import { useCarStore } from "@/stores/car"
import { computed, onMounted } from "vue"

const props = defineProps({
	active: Boolean
})
const emit = defineEmits([ "select", "close" ])

const cs = useCarStore()

const cars = computed(() => cs.cars)
const pending = computed(() => cs.pending)

const fetch = async () => {
	await cs.getCars()
}

onMounted(fetch)
</script>

<style lang="scss" scoped>
.modal-content {
	max-width: 1000px;
	width: 100%;
}
</style>